Compare Revisions

Gecko SDK

Revision 30736:

Revision 30736 by DRice on

Revision 30737:

Revision 30737 by asasaki on

Title:
Gecko SDK
Gecko SDK
Slug:
Gecko_SDK
Gecko_SDK
Tags:
Gecko, Extensions, Add-ons, "Developing Mozilla"
Gecko, Extensions, Add-ons, "Developing Mozilla"
Content:

Revision 30736
Revision 30737
n38      In addition to the below versions, you can find the versionn38      In addition to the below versions, you can find the version
>s of the Gecko SDK&nbsp; that are in Beta here: <a class=" extern>s of the Gecko SDK&nbsp; that are in Beta here: <a class="externa
>al" href="http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightl>l" href="http://ftp.mozilla.org/pub/mozilla.org/xulrunner/nightly
>y/latest-mozilla-beta/" title="http://ftp.mozilla.org/pub/mozilla>/latest-mozilla-beta/" title="http://ftp.mozilla.org/pub/mozilla.
>.org/xulrunner/nightly/latest-mozilla-beta/">Xulrunner Nightly's >org/xulrunner/nightly/latest-mozilla-beta/">Xulrunner Nightly's L
>Latest Mozilla Beta</a> (files include "sdk" in the name).&nbsp; >atest Mozilla Beta</a> (files include "sdk" in the name).&nbsp; T
>The SDK follows the same <a class=" link-https" href="https://wik>he SDK follows the same <a class="link-https" href="https://wiki.
>i.mozilla.org/Releases" title="https://wiki.mozilla.org/Releases">mozilla.org/Releases" title="https://wiki.mozilla.org/Releases">r
>>release schedule</a> as Firefox/Thunderbird.&nbsp; Once the SDK >elease schedule</a> as Firefox/Thunderbird.&nbsp; Once the SDK en
>enters Beta, it is suitable for building extensions; your compone>ters Beta, it is suitable for building extensions; your component
>nt should work with release builds of the SDK without any modific> should work with release builds of the SDK without any modificat
>ations.&nbsp; Due to the <a class=" link-https" href="https://wik>ions.&nbsp; Due to the <a class="link-https" href="https://wiki.m
>i.mozilla.org/RapidRelease#Overview" title="https://wiki.mozilla.>ozilla.org/RapidRelease#Overview" title="https://wiki.mozilla.org
>org/RapidRelease#Overview">Rapid Release</a> process, it may be a>/RapidRelease#Overview">Rapid Release</a> process, it may be a go
> good idea to target the SDK in Beta.>od idea to target the SDK in Beta.
n73            <a class="external" href="http://releases.mozilla.orgn73            <a class="external" href="http://releases.mozilla.org
>/pub/mozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.w>/pub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-
>in32.sdk.zip" title="http://releases.mozilla.org/pub/mozilla.org/>US.win32.sdk.zip" title="http://releases.mozilla.org/pub/mozilla.
>xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.win32.sdk.zip">Dow>org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-US.win32.sdk.
>nload</a>>zip">Download</a>
n99            <a class="external" href="http://releases.mozilla.orgn99            <a class="external" href="http://releases.mozilla.org
>/pub/mozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.m>/pub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-
>ac-x86_64.sdk.tar.bz2" title="http://releases.mozilla.org/pub/moz>US.mac-x86_64.sdk.tar.bz2" title="http://releases.mozilla.org/pub
>illa.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.mac-x86_6>/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-US.m
>4.sdk.tar.bz2">Download</a>>ac-x86_64.sdk.tar.bz2">Download</a>
n125            <a class="external" href="http://releases.mozilla.orgn125            <a class="external" href="http://releases.mozilla.org
>/pub/mozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.m>/pub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-
>ac-i386.sdk.tar.bz2" title="http://releases.mozilla.org/pub/mozil>US.mac-i386.sdk.tar.bz2" title="http://releases.mozilla.org/pub/m
>la.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.mac-i386.sd>ozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-US.mac
>k.tar.bz2">Download</a>>-i386.sdk.tar.bz2">Download</a>
n174            <a class="external" href="http://releases.mozilla.orgn174            <a class="external" href="http://releases.mozilla.org
>/pub/mozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.l>/pub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-
>inux-x86_64.sdk.tar.bz2" title="http://releases.mozilla.org/pub/m>US.linux-x86_64.sdk.tar.bz2" title="http://releases.mozilla.org/p
>ozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.linux-x>ub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-US
>86_64.sdk.tar.bz2">Download</a>>.linux-x86_64.sdk.tar.bz2">Download</a>
n200            <a class="external" href="http://releases.mozilla.orgn200            <a class="external" href="http://releases.mozilla.org
>/pub/mozilla.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.l>/pub/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-
>inux-i686.sdk.tar.bz2" title="http://releases.mozilla.org/pub/moz>US.linux-i686.sdk.tar.bz2" title="http://releases.mozilla.org/pub
>illa.org/xulrunner/releases/6.0/sdk/xulrunner-6.0.en-US.linux-i68>/mozilla.org/xulrunner/releases/6.0.2/sdk/xulrunner-6.0.2.en-US.l
>6.sdk.tar.bz2">Download</a>>inux-i686.sdk.tar.bz2">Download</a>
t242      Unfortunately, this is caused by a problem with the SDK buit242      Unfortunately, this is caused by a problem with the SDK bui
>ld process which cannot currently be resolved (see Bugzilla bug #>ld process which cannot currently be resolved (see Bugzilla bug #
><a class="link-https" href="https://bugzilla.mozilla.org/show_bug><a class="link-https" href="https://bugzilla.mozilla.org/show_bug
>.cgi?id=430274">430274</a>). To get around it, you'll need to fir>.cgi?id=430274">430274</a>). To get around it, you'll need to fir
>st install MacPorts as outlined in the <a href="/En/Developer_Gui>st install MacPorts as outlined in the <a href="/En/Developer_Gui
>de/Build_Instructions/Mac_OS_X_Prerequisites" title="en/Mac_OS_X_>de/Build_Instructions/Mac_OS_X_Prerequisites" title="en/Mac_OS_X_
>Build_Prerequisites">Mac OS X Build Prerequisites</a> and install>Build_Prerequisites">Mac OS X Build Prerequisites</a> and install
> <code>libidl</code> with it. On 64-bit versions of Mac OS X, you> <code>libidl</code> with it. On 64-bit versions of Mac OS X, you
>'ll need to install <code>libidl</code> with the <code>+universal>'ll need to install <code>libidl</code> with the <code>+universal
></code> flag.<code><br></code>></code> flag.<br>

Back to History